Delete action

  • DEL
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /pipelines
  • /:pipeline_id
  • /actions
  • /:action_id

Delete an action from the pipeline

Request

REQUIRED SCOPES
EXECUTION_MANAGE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

pipeline_idrequiredinteger
The ID of the pipeline

Example: 123

action_idrequiredinteger
The ID of the action

Example: 456

Last modified on Feb 18, 2026

Request example

CURL
curl -X DELETE "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
STATUS
204 Action deleted successfully